---
- name: Deploy dotfiles
  hosts: all
  gather_facts: yes
  vars_files:
    - 'palette/{{ theme }}.yml'
  pre_tasks:
    - name: Check defined variables
      import_tasks: tasks/check_variables.yml
      tags: always

    - name: Check other facts
      import_tasks: tasks/check_other.yml
      tags: always
  roles:
    - role: scripts
      tags: scripts
    - role: ssh
      tags: ssh
    - role: aerc
      tags: aerc
    - role: amfora
      tags: amfora
    - role: anime-downloader
      tags: animedl
    - role: bat
      tags: bat
    - role: btop
      tags: btop
    - role: castero
      tags: castero
    - role: cava
      tags: [ never, cava ]
    - role: element-desktop
      tags: [ never, element ]
    - role: emacs
      tags: emacs
    - role: fontconfig
      tags: fontconfig
    - role: gallery-dl
      tags: gallery-dl
    - role: git
      tags: git
    - role: glow
      tags: glow
    - role: gpg
      tags: gpg
    - role: launcher
      tags: launcher
    - role: mpd
      tags: mpd
    - role: mpv
      tags: mpv
    - role: multiplexer
      tags: multiplexer
    - role: newsboat
      tags: newsboat
    - role: notification
      tags: notification
    - role: nvim
      tags: nvim
    - role: qtcreator
      tags: [ never, qtcreator ]
    - role: qutebrowser
      tags: [ never, qutebrowser ]
    - role: ripgrep
      tags: ripgrep
    - role: river
      tags: river
    - role: shells
      tags: shells
    - role: sway
      tags: sway
    - role: terminal
      tags: terminal
    - role: translate-shell
      tags: trans
    - role: vifm
      tags: vifm
    - role: waybar
      tags: waybar
    - role: weechat
      tags: weechat
    - role: xdg
      tags: xdg
    - role: yt-dlp
      tags: ytdl
    - role: zathura
      tags: zathura
